DVCSResponse (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.dvcs

## Class DVCSResponse

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.dvcs.DVCSResponse

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class DVCSResponse
      extends ASN1Object
      implements ASN1Choice

           DVCSResponse ::= CHOICE
           {
               dvCertInfo         DVCSCertInfo ,
               dvErrorNote        [0] DVCSErrorNotice
           }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVCSResponse(DVCSCertInfo dvCertInfo)`
    `DVCSResponse(DVCSErrorNotice dvErrorNote)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DVCSCertInfo` | `getCertInfo()`
    `DVCSErrorNotice` | `getErrorNotice()`
    `static DVCSResponse` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static DVCSResponse` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DVCSResponse

          public DVCSResponse(DVCSCertInfo dvCertInfo)

    - #### DVCSResponse

          public DVCSResponse(DVCSErrorNotice dvErrorNote)

  - ### Method Detail

    - #### getInstance

          public static DVCSResponse getInstance(java.lang.Object obj)

    - #### getInstance

          public static DVCSResponse getInstance(ASN1TaggedObject obj,
                                                 boolean explicit)

    - #### getCertInfo

          public DVCSCertInfo getCertInfo()

    - #### getErrorNotice

          public DVCSErrorNotice getErrorNotice()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`